A-A+

微信公众平台NodeJs SDK Wechat-NodeJS

2016年08月10日 Linux 软件 暂无评论 阅读 800 次

Wechat-NodeJS微信公众平台开发NodeJs SDK,本SDK要求NodeJs >= 4.x,欢迎大家在issues提问。

安装

npm install wechat-nodejs

说明

使用所有sdk功能前需要初始化wechat句柄,初始化代码如下:

const Wechat = require('wechat-nodejs').Wechat;
const wechat = new Wechat(appId,appSecret);

SDK扩展了JS原始错误类,包含message,code属性,SDK中Promise抛出的错误code为微信返回的errcode,抛出一个自定义错误代码如下:

const AppError = require('wechat-nodejs').AppError;
throw new AppError('参数错误',1);
标签:

给我留言

Copyright © SEARU.ORG 保留所有权利.   Theme  Ality 网站地图 360网站安全检测平台

用户登录

分享到: